

from BaseDataMaintenance.model.ots.BaseModel import BaseModel



class Tyc_company(BaseModel):

    def __init__(self,_dict):
        BaseModel.__init__(self)
        for k,v in _dict.items():
            self.setValue(k,v,True)
        self.table_name = "tyc_company"

    def getPrimary_keys(self):
        return ["found_time","company_name","social_credit_code","register_number"]
